diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_shell_type.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_shell_type.sql
index 126f2b7f..b65d92df 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_shell_type.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_shell_type.sql
@@ -1,6 +1,6 @@
 -- Type: shell_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."shell_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."shell_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."shell_type_$%{}[]()&*^!@""'`\/#";
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_acl_grantee_change.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_acl_grantee_change.sql
index f3a429ea..49a7706c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_acl_grantee_change.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_acl_grantee_change.sql
@@ -1,6 +1,6 @@
 -- Type: range_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."range_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."range_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."range_type_$%{}[]()&*^!@""'`\/#" AS RANGE
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_composite_type_acl_description.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_composite_type_acl_description.sql
index 4769bf1d..f1e5a781 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_composite_type_acl_description.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_composite_type_acl_description.sql
@@ -1,6 +1,6 @@
 -- Type: composite_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."composite_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."composite_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."composite_type_$%{}[]()&*^!@""'`\/#" AS
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_composite_type_add_member.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_composite_type_add_member.sql
index b864240c..48145c0e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_composite_type_add_member.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_composite_type_add_member.sql
@@ -1,6 +1,6 @@
 -- Type: composite_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."composite_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."composite_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."composite_type_$%{}[]()&*^!@""'`\/#" AS
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_composite_type_remove_member.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_composite_type_remove_member.sql
index 013245da..c7e9d7d0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_composite_type_remove_member.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_composite_type_remove_member.sql
@@ -1,6 +1,6 @@
 -- Type: composite_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."composite_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."composite_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."composite_type_$%{}[]()&*^!@""'`\/#" AS
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_enum_type_acl_description.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_enum_type_acl_description.sql
index e114d0cf..aec7de47 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_enum_type_acl_description.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_enum_type_acl_description.sql
@@ -1,6 +1,6 @@
 -- Type: enum_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."enum_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."enum_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."enum_type_$%{}[]()&*^!@""'`\/#" AS ENUM
     ('a', 'b', 'c', 'd');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_enum_type_label.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_enum_type_label.sql
index 1a7a1530..8eb66451 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_enum_type_label.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_enum_type_label.sql
@@ -1,6 +1,6 @@
 -- Type: enum_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."enum_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."enum_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."enum_type_$%{}[]()&*^!@""'`\/#" AS ENUM
     ('a', 'b', 'c', 'd');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_range_type_acl_description.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_range_type_acl_description.sql
index 496f8422..1a0b6243 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_range_type_acl_description.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_range_type_acl_description.sql
@@ -1,6 +1,6 @@
 -- Type: range_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."range_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."range_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."range_type_$%{}[]()&*^!@""'`\/#" AS RANGE
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_shell_type_acl_description.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_shell_type_acl_description.sql
index 3f78bfd2..d3159758 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_shell_type_acl_description.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/alter_shell_type_acl_description.sql
@@ -1,6 +1,6 @@
 -- Type: shell_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."shell_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."shell_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."shell_type_$%{}[]()&*^!@""'`\/#";
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_composite_type.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_composite_type.sql
index d48f7053..0eae8b9d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_composite_type.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_composite_type.sql
@@ -1,6 +1,6 @@
 -- Type: composite_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."composite_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."composite_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."composite_type_$%{}[]()&*^!@""'`\/#" AS
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_composite_type_one_field.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_composite_type_one_field.sql
index 16d5758b..b6a83314 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_composite_type_one_field.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_composite_type_one_field.sql
@@ -1,6 +1,6 @@
 -- Type: composite_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."composite_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."composite_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."composite_type_$%{}[]()&*^!@""'`\/#" AS
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_enum_type.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_enum_type.sql
index ebccea87..a65d1796 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_enum_type.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_enum_type.sql
@@ -1,6 +1,6 @@
 -- Type: enum_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."enum_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."enum_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."enum_type_$%{}[]()&*^!@""'`\/#" AS ENUM
     ('a', 'b', 'c');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_nested_table_type.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_nested_table_type.sql
index 82188ce5..fbff67b6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_nested_table_type.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_nested_table_type.sql
@@ -1,6 +1,6 @@
 -- Type: nested_table_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."nested_table_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."nested_table_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."nested_table_type_$%{}[]()&*^!@""'`\/#" AS TABLE OF
     numeric(2,1);
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_range_type.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_range_type.sql
index be9c1a75..e001dd4c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_range_type.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_range_type.sql
@@ -1,6 +1,6 @@
 -- Type: range_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."range_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."range_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."range_type_$%{}[]()&*^!@""'`\/#" AS RANGE
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_shell_type.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_shell_type.sql
index 126f2b7f..b65d92df 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_shell_type.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_shell_type.sql
@@ -1,6 +1,6 @@
 -- Type: shell_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."shell_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."shell_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."shell_type_$%{}[]()&*^!@""'`\/#";
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_varray_type.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_varray_type.sql
index b7f01d41..3d6cdfa5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_varray_type.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/ppas/default/create_varray_type.sql
@@ -1,6 +1,6 @@
 -- Type: varray_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."varray_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."varray_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."varray_type_$%{}[]()&*^!@""'`\/#" AS VARRAY(10) OF
     integer;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview.sql
index 71636fdb..c53b0970 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview.sql
@@ -2,13 +2,13 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
 AS
  SELECT 1
 WITH NO DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO postgres;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor.sql
index c79991c4..49b2625d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor.sql
@@ -2,7 +2,7 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 WITH (
     FILLFACTOR = 18
 )
@@ -11,7 +11,7 @@ AS
  SELECT 12
 WITH DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO postgres;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor_msql.sql
index 2ef36421..555e1e4c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor_msql.sql
@@ -1,4 +1,4 @@
-ALTER MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+ALTER MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
 SET(
   FILLFACTOR = 18
 );
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter.sql
index 824b3d13..a05ab8df 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter.sql
@@ -2,7 +2,7 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 WITH (
     FILLFACTOR = 18,
     autovacuum_enabled = TRUE,
@@ -13,7 +13,7 @@ AS
  SELECT 12
 WITH DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO postgres;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter_msql.sql
index 6f13ab46..8106e5fd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter_msql.sql
@@ -1,4 +1,4 @@
-ALTER MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#" SET(
+ALTER MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#" SET(
     autovacuum_enabled = true,
     autovacuum_analyze_scale_factor = 0.2
 );
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_change_grantee_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_change_grantee_priv.sql
index d15b0e6b..fcd7b144 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_change_grantee_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_change_grantee_priv.sql
@@ -2,13 +2,13 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
 AS
  SELECT 1
 WITH NO DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO postgres;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_definition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_definition.sql
index 53e17798..1caca831 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_definition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_definition.sql
@@ -2,13 +2,13 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
 AS
  SELECT 12
 WITH NO DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO postgres;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_definition_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_definition_msql.sql
index 16b77223..d4573733 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_definition_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_definition_msql.sql
@@ -1,5 +1,5 @@
-DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+DROP MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#";
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
  AS
 SELECT 12
  WITH NO DATA;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_drop_all_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_drop_all_priv.sql
index ee78e306..949fe0cd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_drop_all_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_drop_all_priv.sql
@@ -2,13 +2,13 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
 AS
  SELECT 1
 WITH NO DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO postgres;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter.sql
index c79991c4..49b2625d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter.sql
@@ -2,7 +2,7 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 WITH (
     FILLFACTOR = 18
 )
@@ -11,7 +11,7 @@ AS
  SELECT 12
 WITH DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO postgres;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter_msql.sql
index cccaa388..db2a0825 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter_msql.sql
@@ -1,4 +1,4 @@
-ALTER MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#" RESET(
+ALTER MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#" RESET(
     autovacuum_enabled,
     autovacuum_analyze_scale_factor
 );
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview.sql
index acd7ced6..7541f284 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview.sql
@@ -2,13 +2,13 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
 AS
  SELECT 1
 WITH NO DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO postgres;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview_msql.sql
index 51173889..0f49fa60 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview_msql.sql
@@ -1,10 +1,10 @@
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
 AS
 SELECT 1
 WITH NO DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO postgres;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview.sql
index e0f8d603..4e22b650 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview.sql
@@ -2,13 +2,13 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
 AS
  SELECT 1
 WITH NO DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO enterprisedb;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_fillfactor.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_fillfactor.sql
index d281242c..11cc4e76 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_fillfactor.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_fillfactor.sql
@@ -2,7 +2,7 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 WITH (
     FILLFACTOR = 18
 )
@@ -11,7 +11,7 @@ AS
  SELECT 12
 WITH DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO enterprisedb;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_fillfactor_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_fillfactor_msql.sql
index 2ef36421..555e1e4c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_fillfactor_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_fillfactor_msql.sql
@@ -1,4 +1,4 @@
-ALTER MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+ALTER MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
 SET(
   FILLFACTOR = 18
 );
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter.sql
index b38de214..dc7795f2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter.sql
@@ -2,7 +2,7 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 WITH (
     FILLFACTOR = 18,
     autovacuum_enabled = TRUE,
@@ -13,7 +13,7 @@ AS
  SELECT 12
 WITH DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO enterprisedb;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter_msql.sql
index 6f13ab46..8106e5fd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter_msql.sql
@@ -1,4 +1,4 @@
-ALTER MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#" SET(
+ALTER MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#" SET(
     autovacuum_enabled = true,
     autovacuum_analyze_scale_factor = 0.2
 );
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_change_grantee_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_change_grantee_priv.sql
index b5527759..02581ca9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_change_grantee_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_change_grantee_priv.sql
@@ -2,13 +2,13 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
 AS
  SELECT 1
 WITH NO DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO enterprisedb;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_definition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_definition.sql
index 170a14d9..3b116a5c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_definition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_definition.sql
@@ -2,13 +2,13 @@
 
 -- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
 
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
 AS
  SELECT 12
 WITH NO DATA;
 
-ALTER TABLE public."testmview_$%{}[]()&*^!/@`#"
+ALTER TABLE IF EXISTS public."testmview_$%{}[]()&*^!/@`#"
     OWNER TO enterprisedb;
 
 COMMENT ON MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_definition_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_definition_msql.sql
index 16b77223..d4573733 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_definition_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_definition_msql.sql
@@ -1,5 +1,5 @@
-DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
-CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
+DROP MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#";
+CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
  AS
 SELECT 12
  WITH NO DATA;
